.video {
  $parent: &;
  opacity: 1;

  position: relative;
  //padding:3rem 0 2rem;

  @include breakpoint($large) {
    //padding:3rem 0 3rem;
  }

  .container {
    text-align: center;
    padding: 0;
    max-width: $article-width-outer;

    @include breakpoint($large) {
      padding-left: $global-padding-desktop;
      padding-right: $global-padding-desktop;
    }

    .inner {
      padding-top: 50%;
      position: relative;

      @include breakpoint($large) {
        position: relative;
      }
    }

    iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }
  }

  &__info {
    display: flex;
    flex-flow: wrap;
  }

  &__caption {
    flex: 0 0 100%;

    @include breakpoint($large) {
      flex: 0 0 50%;
    }
  }

  &__transTrigger {
    margin-left: auto;
    flex: 0 0 100%;
    text-align: right;
    padding: $global-padding-mobile;
    margin-bottom: 0;

    border-top: 1px solid $border-color;

    @include breakpoint($large) {
      flex: 0 0 40%;
      margin-top: 0.6rem;
      padding: 0;
      border: none;
    }

    > span {
      border: none;
      position: relative;
      display: inline-block;
      padding-right: 34px;
      color: $link-color;
      cursor: pointer;

      .text {
        border-bottom: 1px solid rgba(4, 88, 155, 0);
        transition: all linear 0.4s;
      }

      &:hover {
        color: $link-color-hover;
        .text {
          border-color: $link-color-hover;
        }
        .icon {
          span {
            background: $link-color-hover;
          }
        }
      }
    }

    .icon {
      height: 24px;
      width: 24px;
      position: absolute;
      top: 50%;
      right: 0;
      transform: translateY(-50%);
      display: inline-block;
      border-radius: 50%;
      border: 1px solid;

      @include breakpoint($large) {
        margin-left: 1rem;
      }

      span {
        display: block;
        background: #04589b;

        width: 10px;
        height: 2px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        + span {
          height: 10px;
          width: 2px;
          transition: height 0.3s;
        }
      }
    }

    &--open {
      .icon {
        span + span {
          height: 0;
        }
      }
    }
  }

  &__transcript {
    flex: 0 0 100%;
    text-align: left;
    background: #fff;

    > div {
      padding: $global-padding-mobile;

      @include breakpoint($large) {
        padding: $global-padding-desktop;
      }

      p:last-child {
        margin-bottom: 0;
      }
    }
  }

  &--hasPriorContent {
    top: -#{map-get($mobile, space-lg)};
    margin-bottom: -#{map-get($mobile, space-lg)};

    @include breakpoint($large) {
      top: -#{map-get($desktop, space-lg)};
      margin-bottom: -#{map-get($desktop, space-lg)};
    }

    padding-top: 0;

    &#{$parent}--hasTheme {
      padding-bottom: map-get($mobile, space-lg);

      @include breakpoint($large) {
        padding-bottom: map-get($desktop, space-lg);
      }
    }
  }

  &--hasTheme:not(#{$parent}--hasPriorContent) {
    margin: 0;
    padding: map-get($mobile, space-lg) 0;

    @include breakpoint($large) {
      padding: map-get($desktop, space-lg) 0;
    }
  }
}
